Skip to main content
GET
/
beta
/
amm
/
deep
/
withdraw
/
{userAddress}
/
{network}
/
{vaultId}
cURL
curl --request GET \
  --url https://api.vaults.fyi/beta/amm/deep/withdraw/{userAddress}/{network}/{vaultId} \
  --header 'x-api-key: <api-key>'
{
  "currentActionIndex": 123,
  "actions": [
    {
      "name": "<string>",
      "tx": {
        "to": "<string>",
        "chainId": 1,
        "data": "<string>",
        "value": "<string>"
      },
      "simulation": {
        "url": "<string>",
        "status": "success",
        "tokensReceived": {},
        "tokensSpent": {}
      }
    }
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

userAddress
string
required

User address to get returns for

Pattern: ^0x[a-fA-F0-9]{40}$
network
enum<string>
required

Network to get returns for

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793
vaultId
string
required

Vault id to get returns for

Query Parameters

amount
string

Amount of shares to be redeemed from the vault

all
boolean

If true, all shares will be redeemed

Response

Default Response

currentActionIndex
number
required
actions
object[]
required